# MapType enum

地图类型

## Constants

bus → const MapType

  公交视图

  `const MapType(4)`
navi → const MapType

  导航视图

  `const MapType(3)`
night → const MapType

  夜间视图

  `const MapType(2)`
normal → const MapType

  普通地图

  `const MapType(0)`
satellite → const MapType

  卫星地图

  `const MapType(1)`
values → const List <MapType>

  A constant List of the values in this enum, in order of their declaration.

  `const List<MapType>`

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
index → int

  The integer index of this enum.

  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString () → String
  Returns a string representation of this object.
  override

## Operators

operator == (Object other) → bool
  The equality operator. [...]
  inherited